
{
  description = "SvelteKit Fitness Tracker - Nix Flake";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils, ... }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs {
          inherit system;
          config = {
            allowUnfree = true;
          };
        };

        nodejs = pkgs.nodejs_23; # or your preferred Node version
        yarn = pkgs.yarn; # or pkgs.nodePackages.pnpm if you prefer
      in
      {
        devShells.default = pkgs.mkShell {
          name = "sveltekit-dev-shell";

          buildInputs = [
            nodejs
            yarn
            pkgs.git
          ];

          shellHook = ''
            echo "🚀 Welcome to the SvelteKit dev shell!"
            echo "🛠️ Node: $(node -v) | Yarn: $(yarn -v)"
          '';
        };
      }
    );
}
